package com.gic.message.service.impl;

import com.gic.redis.data.util.RedisUtil;
import com.gic.store.service.StoreApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;
/**
 * 
 * @ClassName: StoreIndexRefreshHandler
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 15:10
 */
@Component
public class StoreIndexRefreshHandler {
    @Autowired
    private StoreApiService storeApiService;

    public void refreshStoreIndex(Integer enterpriseId, Integer storeId){
        String key = "enterprise:refresh:"+storeId;
        Object cache = RedisUtil.getCache(key);
        if(cache == null){
            this.storeApiService.addStoreToIndex(enterpriseId, storeId);
            RedisUtil.setCache(key, storeId, 1L, TimeUnit.SECONDS);
        }
    }
}
